ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::common::xml::dom::WriteParameters Struct Reference

Parameters controlling DOM writing. More...

`#include <ome/common/xml/dom/Document.h>`

## Public Member Functions
| WriteParameters ()
| Constructor.

## Public Attributes
bool | canonicalForm
| Canonicalize document (canonical-form).
bool | CDATASections
| Retain CDATA (cdata-sections).
bool | comments
| Retain comments (comments).
bool | datatypeNormalization
| Datatype normalization (datatype-normalization).
bool | discardDefaultContent
| Discard defaults (discard-default-content).
bool | entities
| Retain entities (entities).
bool | namespaces
| Namespace processing (namespaces).
bool | namespaceDeclarations
| Include namespace declaration attributes (namespace-declarations).
bool | normalizeCharacters
| Normalize characters.
bool | prettyPrint
| Pretty-print (format-pretty-print).
bool | splitCDATASections
| Split CDATA sections (split-cdata-sections).
bool | validate
| Validate if schema available (validate-if-schema).
bool | whitespace
| Retain whitespace (element-content-whitespace).
bool | xmlDeclaration
| Require XML declaration (xml-declaration).

## Detailed Description

Parameters controlling DOM writing.

The DOMSerializer provides for some control over the process via DOMConfiguration. They are settable here to allow their use at a high level without the need to have access to the internals of the Xerces-C writing process. Simply create an instance of this class, adjust the parameters as needed, and then pass to a method call which uses WriteParameters as an optional argument.

If more precise control of the process is required, use the Xerces-C classes directly. These are simply a convienience for the common case and will not suit every situation.

The documentation for this struct was generated from the following file:

- ome/common/xml/dom/Document.h